	.area text(rom,rel)
	.dbfile ..\..\..\..\..\..\DOCUME~1\Steve\MYDOCU~1\_Propeller_OBEX_\Memsic2125\Memsic2125Test.c
	.dbfile C:\DOCUME~1\Steve\MYDOCU~1\_Propeller_OBEX_\Memsic2125\Memsic2125Test.c
	.dbfunc e main _main fV
;         ycycle -> R4
;         xcycle -> R6
;         ypulse -> R5
;         xpulse -> R7
_main::
	sub HRSP,#12	
	.dbline -1
	.dbline 17
; /**
;  * @file Memsic2125Test.c Accelerometer library simple test.
;  * To do a more complicated test like Beau's requires a graphics
;  * driver which doesn't exist in C yet.
;  * Copyright (c) 2009, Steve Denson
;  * See end of file for MIT license terms.
;  */
; #include <stdio.h>
; #include <propeller.h>
; #include "tv_text.h"
; #include "Memsic2125.h"
; 
; #define XPIN 0
; #define YPIN 1
; 
; void main(void)
; {
	.dbline 23
;     int xpulse;
;     int ypulse;
;     int xcycle;
;     int ycycle;
;     
;     tvText_start(12);  // start TV
	mov R0,#12	
	@FCALL	
	.long _tvText_start	
	.dbline 24
;     tvText_setXY(0,1);
	mov R0,#0	
	mov R1,#1	
	@FCALL	
	.long _tvText_setXY	
	.dbline 25
;     printf("Simple Memsic2125 Test");
	@FLDCNST	
	.long L3	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	@FCALL	
	.long _printf	
	rdlong PC,PC	
	.long L5	
L4:
	.dbline 27
; 
;     while(1) {
	.dbline 28
;         xcycle = m2125_getCycle(XPIN);
	mov R0,#0	
	@FCALL	
	.long _m2125_getCycle	
	mov R15,R0	
	mov R6,R0	
	.dbline 29
;         ycycle = m2125_getCycle(YPIN);
	mov R0,#1	
	@FCALL	
	.long _m2125_getCycle	
	mov R15,R0	
	mov R4,R0	
	.dbline 30
;         xpulse= m2125_getPulse(XPIN);
	mov R0,#0	
	@FCALL	
	.long _m2125_getPulse	
	mov R15,R0	
	mov R7,R0	
	.dbline 31
;         ypulse= m2125_getPulse(YPIN);
	mov R0,#1	
	@FCALL	
	.long _m2125_getPulse	
	mov R15,R0	
	mov R5,R0	
	.dbline 32
;         tvText_setXY(1,3);
	mov R0,#1	
	mov R1,#3	
	@FCALL	
	.long _tvText_setXY	
	.dbline 33
;         printf("X,Y Pulse %d  %d ", xpulse, ypulse);
	@FLDCNST	
	.long L7	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R7,TEMP5	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R5,TEMP5	
	@FCALL	
	.long _printf	
	.dbline 34
;         tvText_setXY(1,4);
	mov R0,#1	
	mov R1,#4	
	@FCALL	
	.long _tvText_setXY	
	.dbline 35
;         printf("X,Y Cycle %d %d ", xcycle, ycycle);
	@FLDCNST	
	.long L8	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R6,TEMP5	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R4,TEMP5	
	@FCALL	
	.long _printf	
	.dbline 36
;         tvText_setXY(1,6);
	mov R0,#1	
	mov R1,#6	
	@FCALL	
	.long _tvText_setXY	
	.dbline 37
;         printf("X,Y Ratios ");
	@FLDCNST	
	.long L9	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	@FCALL	
	.long _printf	
	.dbline 38
;         printf("%d %d        ", xpulse*1000/xcycle-500, ypulse*1000/ycycle-500);
	@FLDCNST	
	.long 1000	
	mov R0,TEMP0	
	mov R1,R7	
	@FMUL32	
	mov R15,R0	
	mov R1,R6	
	mov R0,R15	
	@FDIV32S	
	mov R15,R0	
	@FLDCNST	
	.long 1000	
	mov R0,TEMP0	
	mov R1,R5	
	@FMUL32	
	mov R14,R0	
	mov R1,R4	
	mov R0,R14	
	@FDIV32S	
	mov R14,R0	
	@FLDCNST	
	.long L10	
	mov R13,TEMP0	
	mov TEMP5,HRSP	
	wrlong R13,HRSP	
	mov R15,R15	
	sub R15,#500	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R15,TEMP5	
	mov R15,R14	
	sub R15,#500	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R15,TEMP5	
	@FCALL	
	.long _printf	
	.dbline 39
; 	}
L5:
	.dbline 27
	rdlong PC,PC	
	.long L4	
X0:
	.dbline -2
L2:
	add HRSP,#12	
	@FRET
	.dbline 0 ; func end
	.dbsym r ycycle 4 I
	.dbsym r xcycle 6 I
	.dbsym r ypulse 5 I
	.dbsym r xpulse 7 I
	.dbend
	.area lit(rom,rel)
L10:
	.byte 37,'d,32,37,'d,32,32,32,32,32,32,32,32,0
L9:
	.byte 'X,44,'Y,32,'R,'a,'t,'i,'o,'s,32,0
L8:
	.byte 'X,44,'Y,32,'C,'y,'c,'l,'e,32,37,'d,32,37,'d,32
	.byte 0
L7:
	.byte 'X,44,'Y,32,'P,'u,'l,'s,'e,32,37,'d,32,32,37,'d
	.byte 32,0
L3:
	.byte 'S,'i,'m,'p,'l,'e,32,'M,'e,'m,'s,'i,'c,50,49,50
	.byte 53,32,'T,'e,'s,'t,0
